<div class="banner-menu">
  {% for banner in loaded_banners %}

    {% if banner.url != blank %}
      <a href="{{ banner.url }}" class="banner" {% if banner.external %} target="_blank" {% endif %} aria-label="Acessar o conteúdo de {{ menu.title }}">
    {% else %}
      <div class="banner">
    {% endif %}

      <figure class="image -custom">
        <img
          class="lazy"
          loading="lazy"
          data-src="{{ banner.file_url | resize: '400x' }}"
          alt="{{ banner.title }}"
        />
      </figure>

      {% if banner.description != blank %}
        <div class="text">
          {{ banner.description }}
        </div>
      {% endif %}

    {% if banner.url != blank %}
      </a>
    {% else %}
      </div>
    {% endif %}
    
  {% endfor %}
</div>